DataTransferAgent (The Data Transfer Agent Service 2.1.3-4.7.1-132914 API)
Date: 2017-10-17

org.gcube.datatransfer.agent.impl.porttype

## Class DataTransferAgent

- java.lang.Object
- - org.gcube.common.core.porttypes.GCUBEPortType
  - - org.gcube.datatransfer.agent.impl.porttype.DataTransferAgent

- All Implemented Interfaces:
    javax.xml.rpc.server.ServiceLifecycle

      public class DataTransferAgent
      extends org.gcube.common.core.porttypes.GCUBEPortType

  Author:
    Andrea Manzi(CERN)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.gcube.common.core.utils.logging.GCUBELog` | `logger`

    - ### Fields inherited from class org.gcube.common.core.porttypes.GCUBEPortType

      `initialized`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTransferAgent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `cancelTransfer(org.gcube.datatransfer.agent.stubs.datatransferagent.CancelTransferMessage message)` Cancel a transfer
    `String` | `createTreeSource(org.gcube.datatransfer.agent.stubs.datatransferagent.CreateTreeSourceMsg msg)`
    `String` | `getLocalSources(String filePath)`
    `AgentResource` | `getResource()`
    `protected org.gcube.common.core.contexts.GCUBEServiceContext` | `getServiceContext()`
    `String` | `getTransferOutcomes(String transferId)`
    `String` | `getTreeSources(String type)`
    `String` | `monitorTransfer(String transferId)`
    `org.gcube.datatransfer.agent.stubs.datatransferagent.MonitorTransferReportMessage` | `monitorTransferWithProgress(String transferId)`
    `String` | `removeGenericResource(String id)`
    `FutureTask<Worker>` | `startAsyncTask(String id, org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source, org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest)`
    `String` | `startTransfer(org.gcube.datatransfer.agent.stubs.datatransferagent.StartTransferMessage message)` Starts a new transfer

    - ### Methods inherited from class org.gcube.common.core.porttypes.GCUBEPortType

      `destroy, init, onFailure, onInitialisation, onReady, onStateChange, onUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected final org.gcube.common.core.utils.logging.GCUBELog logger

  - ### Constructor Detail

    - #### DataTransferAgent

          public DataTransferAgent()

  - ### Method Detail

    - #### getResource

          public AgentResource getResource()
                                    throws Exception

      Throws:
        `Exception`

    - #### startTransfer

          public String startTransfer(org.gcube.datatransfer.agent.stubs.datatransferagent.StartTransferMessage message)
                               throws org.gcube.datatransfer.agent.stubs.datatransferagent.TransferFault

      Starts a new transfer
      Parameters:
        `message` -
      Returns:
      Throws:
        `org.gcube.datatransfer.agent.stubs.datatransferagent.TransferFault`

    - #### cancelTransfer

          public String cancelTransfer(org.gcube.datatransfer.agent.stubs.datatransferagent.CancelTransferMessage message)
                                throws org.gcube.datatransfer.agent.stubs.datatransferagent.CancelTransferFault

      Cancel a transfer
      Parameters:
        `message` -
      Returns:
      Throws:
        `org.gcube.datatransfer.agent.stubs.datatransferagent.TransferFault`
        `org.gcube.common.core.faults.GCUBEFault`
        `org.gcube.datatransfer.agent.stubs.datatransferagent.CancelTransferFault`

    - #### startAsyncTask

          public FutureTask<Worker> startAsyncTask(String id,
                                          org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source,
                                          org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest)
                                            throws Exception

      Throws:
        `Exception`

    - #### monitorTransfer

          public String monitorTransfer(String transferId)
                                 throws org.gcube.datatransfer.agent.stubs.datatransferagent.MonitorTransferFault

      Throws:
        `org.gcube.datatransfer.agent.stubs.datatransferagent.MonitorTransferFault`

    - #### getTransferOutcomes

          public String getTransferOutcomes(String transferId)
                                     throws org.gcube.datatransfer.agent.stubs.datatransferagent.GetTransferOutcomesFault

      Throws:
        `org.gcube.datatransfer.agent.stubs.datatransferagent.GetTransferOutcomesFault`

    - #### getLocalSources

          public String getLocalSources(String filePath)

    - #### createTreeSource

          public String createTreeSource(org.gcube.datatransfer.agent.stubs.datatransferagent.CreateTreeSourceMsg msg)

    - #### removeGenericResource

          public String removeGenericResource(String id)

    - #### getTreeSources

          public String getTreeSources(String type)

    - #### monitorTransferWithProgress

          public org.gcube.datatransfer.agent.stubs.datatransferagent.MonitorTransferReportMessage monitorTransferWithProgress(String transferId)
                                                                                                                        throws org.gcube.datatransfer.agent.stubs.datatransferagent.MonitorTransferFault

      Throws:
        `org.gcube.datatransfer.agent.stubs.datatransferagent.MonitorTransferFault`

    - #### getServiceContext

          protected org.gcube.common.core.contexts.GCUBEServiceContext getServiceContext()

      Specified by:
        `getServiceContext` in class `org.gcube.common.core.porttypes.GCUBEPortType`

Copyright © 2017. All Rights Reserved.